<template>
<div>
    <h2 class="heading">Ratio Deco Berechnung</h2>
    <div class="calculations">
    <RatioDeco></RatioDeco>
    <ratioDecoTable></ratioDecoTable>
    </div>
    <div class="calculations">
        <div class="chart-wrapper">
            <apexchart 
                width="500" type="line" 
                :options="options" :series="series">
            </apexchart>
        </div>
    </div>
</div>
</template>

<script>
import RatioDeco from "./RatioDeco";
import ratioDecoTable from "./ratioDecoTable";

export default {
  name: 'HelloWorld',
  components: {
      RatioDeco,
      ratioDecoTable
  },
  data: () => ({
    options: {
      chart: {
        toolbar: {
            show: false     ,
        },
        id: 'vuechart-example'
      },
      xaxis: {
        categories: [
         "0",
         "1",
         "",
         "Apr",
         "May",
         "Jun",
         "Jul",
         "Aug",
         "Sep",
         "Oct",
         "Nov",
         "Dec"
        ]
      },
      yaxis: {
        show: true,
        min: -10,
        max: 100,
        reversed: true,
        title: {
            text: "Tiefe"
        },
         axisTicks: {
            width: 10,
            offsetX: 100,
            offsetY: 100
        }
      }
    },
    series: [{
      name: 'series-1',
      data: [0, 15, 45, 45, 21, 18, 15, 12, 9, 6, 3, 0]
    }]
  })
}
</script>

<style scoped>
.chart-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

.calculations {
    display: flex;
    justify-content: space-between;
}
.heading {
 text-align: center;
}
</style>